Google releases March 2019 Android Security Bulletin and Google Device Images

3,980

Google has released the March 2019 Android Security Bulletin, giving carriers and device makers a fresh set of patches to install.

Though Google puts out the Android security patches each month, the job of actually getting the fixes to end users falls on the telcos and/or device manufacturers themselves. Those partners vary in their ability to release the patches in a timely fashion.

The March bulletin has two security patch levels to provide Android partners with the flexibility to more quickly fix a subset of vulnerabilities that are similar across all Android devices.

  • 01-03-2019: Partial security patch level string. This security patch level string indicates that all issues associated with 01-03-2019 (and all previous security patch level strings) are addressed.
  • 05-03-2018: Complete security patch level string. This security patch level address all issues associated with the 05-03-2019 security patch level and all previous patch levels.

The most severe of these issues is a critical security vulnerability in Media framework that could enable a remote attacker using a specially crafted file to execute arbitrary code within the context of a privileged process. The severity assessment is based on the effect that exploiting the vulnerability would possibly have on an affected device, assuming the platform and service mitigations are turned off for development purposes or if successfully bypassed.

Alongside the bulletin, Google have released a security update to Google devices through an over-the-air (OTA) update. The Google device firmware images have also been released to the Google Developer site. Security patch levels of March 5, 2019 or later address all of these issues.

The tables below contains a list of security vulnerabilities, the Common Vulnerability and Exposures ID (CVE), the assessed severity, and whether or not Google devices are affected. The severity assessment is based on the effect that exploiting the vulnerability would possibly have on an affected device, assuming the platform and service mitigations are disabled for development purposes or if successfully bypassed.

Android and Google Service Mitigation’s

This is a summary of the mitigation’s provided by the Android security platform and service protections such as Google Play Protect. These capabilities reduce the likelihood that security vulnerabilities could be successfully exploited on Android.

  • Exploitation for many issues on Android is made more difficult by enhancements in newer versions of the Android platform. All users are encouraged to update to the latest version of Android where possible.
  • The Android security team actively monitors for abuse through Google Play Protect and warns users about Potentially Harmful Applications. Google Play Protect is enabled by default on devices with Google Mobile Services, and is especially important for users who install apps from outside of Google Play.

Terminology

You will find different types of vulnerabilities listed. Possible types include:

  • RCE—Remote code execution
  • EoP—Elevation of privilege
  • ID—Information disclosure
  • DoS—Denial of service

01-03-2019 security patch level—Vulnerability details

Framework

The most severe vulnerability in this section could enable a local malicious application to execute arbitrary code within the context of a privileged process.

CVE References Type Severity Updated AOSP versions
CVE-2018-20346 A-121156452 EoP High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-1985 A-118694079 EoP High 7.0, 7.1.1, 7.1.2, 8.0
CVE-2019-2003 A-116321860 EoP High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2004 A-115739809 ID High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2005 A-68777217 EoP Moderate 8.0, 8.1, 9

Media framework

The most severe vulnerability in this section could enable a remote attacker using a specially crafted file to execute arbitrary code within the context of a privileged process.

CVE References Type Severity Updated AOSP versions
CVE-2019-1989 A-118399205 RCE Critical 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-1990 A-118453553 RCE Critical 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2006 A-116665972 EoP High 9
CVE-2019-2007 A-120789744 EoP High 8.1, 9
CVE-2019-2008 A-122309228 EoP High 8.0, 8.1, 9

System

The most severe vulnerability in this section could enable a remote attacker using a specially crafted transmission to execute arbitrary code within the context of a privileged process.

CVE References Type Severity Updated AOSP versions
CVE-2019-2009 A-120665616 RCE Critical 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2010 A-118152591 EoP High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2011 A-120084106 EoP High 8.0, 8.1, 9
CVE-2019-2012 A-120497437 EoP High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2013 A-120497583 EoP High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2014 A-120499324 EoP High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2015 A-120503926 EoP High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2016 A-120664978 EoP High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2017 A-121035711 EoP High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2018 A-110172241 EoP High 8.1, 9
CVE-2018-9561 A-111660010 ID High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2018-9563 A-114237888 ID High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2018-9564 A-114238578 ID High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2019 A-115635871 ID High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2020 A-116788646 ID High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2021 A-120428041 ID High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2022 A-120506143 ID High 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

05-03-2019 security patch level—Vulnerability details

System

The vulnerability in this section could enable a local malicious application to execute arbitrary code within the context of a privileged process.

CVE References Type Severity Updated AOSP versions
CVE-2019-2023 A-121035042 EoP High 8.0, 8.1, 9

Kernel components

The most severe vulnerability in this section could enable a local attacker using a specially crafted file to execute arbitrary code within the context of a privileged process.

CVE References Type Severity Component
CVE-2018-10883 A-117311198
Upstream kernel
EoP High ext4 filesystem
CVE-2019-2024 A-111761954
Upstream kernel
EoP High em28xx driver
CVE-2019-2025 A-116855682
Upstream kernel
EoP High Binder driver

Qualcomm components

These vulnerabilities affect Qualcomm components and are described in further detail in the appropriate Qualcomm APSS security bulletin or security alert. Android partners can check applicability of their issues to their devices through Createpoint. The severity assessment of these issues is provided directly by Qualcomm.

CVE References Type Severity Component
CVE-2017-8252 A-112277630
QC-CR#2106159
N/A Critical EcoSystem
CVE-2017-8252 A-114041175
QC-CR#2128529
N/A Critical EcoSystem
CVE-2018-11817 A-114041192
QC-CR#2241830
N/A Critical DSP_Services
CVE-2018-11817 A-114041747
QC-CR#2166542
N/A Critical DSP_Services
CVE-2018-13899 A-119053086
QC-CR#2295915
N/A High Video
CVE-2018-13917 A-120487091
QC-CR#2251019
N/A High WIN NSS Host

Qualcomm closed-source components

These vulnerabilities affect Qualcomm closed-source components and are described in further detail in the appropriate Qualcomm AMSS security bulletin or security alert. Android partners can check applicability of their issues to their devices through Createpoint. The severity assessment of these issues is provided directly by Qualcomm.

CVE References Type Severity Component
CVE-2017-8252 A-79419898 N/A Critical Closed-source Component
CVE-2017-8252 A-79420414 N/A Critical Closed-source Component
CVE-2017-8252 A-112279542 N/A Critical Closed-source Component
CVE-2018-11958 A-114042786 N/A Critical Closed-source Component
CVE-2018-11966 A-114042484 N/A High Closed-source Component
CVE-2018-11970 A-114042111 N/A High Closed-source Component
CVE-2018-11971 A-114042829 N/A High Closed-source Component
CVE-2018-13918 A-120486115 N/A High Closed-source Component

 

Full details of the March 2019 Android Security Bulletin are available here.

Rapid Mobile uses cookies, tokens, and other third party scripts to recognise visitors of our sites and services, remember your settings and privacy choices, and - depending on your settings and privacy choices - enable us and some key partners to collect information about you so that we can improve our services and deliver relevant ads.

 

By continuing to use our site or clicking Agree, you agree that Rapid Mobile and our key partners may collect data and use cookies for personalised ads and other purposes, as described more fully in our privacy policy.

 

You can change your settings at any time by clicking Manage Settings or by visiting our Privacy Centre for more detailed information.

 

Privacy Settings saved!
Cookie Services

When you visit any website, it may store or retrieve information on your browser, mostly in the form of cookies. Because we respect your right to privacy, you can choose not to allow some types of cookies. Click on the different category headings to find out more and change our default settings. However, blocking some types of cookies may impact your experience of the site and the services we are able to offer.

These cookies are necessary for the website to function and enable essential services and functonality, including identify verification, service continuity and site security. Opt out is not availabe.

Essential Session management cookies for logged in users
  • wordpress_test_cookie
  • wordpress_logged_in_
  • wordpress_sec

For perfomance reasons we use Cloudflare as a CDN network. This saves a cookie "__cfduid" to apply security settings on a per-client basis. This cookie is strictly necessary for Cloudflare's security features and cannot be turned off.
  • __cfduid

Used by Spamshield to stop spam signups
  • _wpss_h_
  • _wpss_p_

Decline all Services
Accept all Services